package com.aucma.api.domain.dto;

import java.util.List;

/**
 * @author wanghao
 * @date 2023/11/21  16:44
 */
public class CheckInfoDto {
    private String code;//产品条码

    private List<DefectBeen> list;//缺陷列表
    private String measure;//处理措施TREATMENT_MEASURE
    private String measureName;//处理措施TREATMENT_MEASURE
    private String offline;
     private String processCode;
    private String userName;

    public String getProcessCode() {
        return processCode;
    }

    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMeasureName() {
        return measureName;
    }

    public void setMeasureName(String measureName) {
        this.measureName = measureName;
    }

    public List<DefectBeen> getList() {
        return list;
    }

    public void setList(List<DefectBeen> list) {
        this.list = list;
    }

    public String getMeasure() {
        return measure;
    }

    public void setMeasure(String measure) {
        this.measure = measure;
    }

    public String getOffline() {
        return offline;
    }

    public void setOffline(String offline) {
        this.offline = offline;
    }


    public static class DefectBeen {
        private String qualityDefectCode;
        private String qualityDefectName;

        private String stationCode;

        public DefectBeen() {
        }

        public String getQualityDefectCode() {
            return qualityDefectCode;
        }

        public void setQualityDefectCode(String qualityDefectCode) {
            this.qualityDefectCode = qualityDefectCode;
        }

        public String getQualityDefectName() {
            return qualityDefectName;
        }

        public void setQualityDefectName(String qualityDefectName) {
            this.qualityDefectName = qualityDefectName;
        }

        public String getStationCode() {
            return stationCode;
        }

        public void setItemCode(String stationCode) {
            this.stationCode = stationCode;
        }


    }
}
